# Informace k zákazníkovi – povolené měny

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /customer:
    get:
      summary: Informace k zákazníkovi – povolené měny
      deprecated: false
      description: >
        ## Význam a použití

        Metoda **GET /customer** zajišťuje, aby aplikace získala seznam
        bankovních účtů a souvisejících údajů evidovaných u daného zákazníka
        (odesílatele). Tento přehled je užitečný především tehdy, pokud:

        - Odesíláte zásilky do zahraničí a potřebujete vědět, v jaké měně lze
        dobírku (COD) přijmout, případně

        - Chcete mít k dispozici SWIFT/BIC kódy a bankovní spojení pro konkrétní
        zemi.


        Díky odpovědi z této metody je možné vědět, jaké účty má odesílatel u
        PPL zaregistrované, a můžete tak **dynamicky** rozhodnout, ve které měně
        (a přes jaký účet) se vyrovnají platby, především pokud jde o dobírku.
      tags:
        - API Metody/Customer
        - Customer
      parameters:
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  accounts:
                    type: array
                    items:
                      type: object
                      x-apidog-refs:
                        01JJKW2KKWBV7EDHV1WZTZ43HM:
                          $ref: >-
                            #/components/schemas/Eps.Api.MyApi2.Web.Models.Customer.AccountModel
                          x-apidog-overrides:
                            bankCode: &ref_0
                              maxLength: 4
                              type: string
                              description: >
                                Kód banky, který spolu s číslem účtu (které  je
                                v API v jiném poli) identifikuje cílový účet v
                                dané zemi.
                              examples:
                                - '0100'
                              nullable: true
                            swift: &ref_3
                              maxLength: 50
                              type: string
                              description: >-
                                Bankovní identifikační kód používaný při
                                mezinárodních platbách.

                                Je nezbytný pro zahraniční platby, zejména pokud
                                jde o převod dobírky v jiné měně.
                              examples:
                                - KOMBCZPP
                              nullable: true
                            currency: &ref_2
                              minLength: 3
                              type: string
                              description: >-
                                Zkratka měny, ve které je tento účet veden.

                                Pomáhá rozlišit, zda lze dobírku řešit v dané
                                měně.
                              examples:
                                - CZK
                            country: &ref_1
                              minLength: 2
                              type: string
                              examples:
                                - CZ
                              description: >-
                                Kód země nebo označení země, pro kterou je účet
                                určen.

                                Umožňuje při odesílání do konkrétní země vybrat
                                správný účet a měnu.
                          required:
                            - currency
                            - country
                      x-apidog-orders:
                        - 01JJKW2KKWBV7EDHV1WZTZ43HM
                      properties:
                        bankCode: *ref_0
                        country: *ref_1
                        currency: *ref_2
                        swift: *ref_3
                      required:
                        - country
                        - currency
                      x-apidog-ignore-properties:
                        - bankCode
                        - country
                        - currency
                        - swift
                    description: Accounts
                    nullable: true
                x-apidog-refs: {}
                x-apidog-orders:
                  - accounts
                x-apidog-ignore-properties: []
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
          x-apidog-name: OK
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKVT3GYX88QA33Z7JVQJDHH
                x-apidog-refs:
                  01JJKVT3GYX88QA33Z7JVQJDHH: &ref_4
                    $ref: >-
                      #/components/schemas/Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Bad Request
        '404':
          description: NotFound
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKVWG3C7FTH00GW6DKNFG3T
                x-apidog-refs:
                  01JJKVWG3C7FTH00GW6DKNFG3T: *ref_4
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Record Not Found
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKVWP8XK49W93W4END1YZGT
                x-apidog-refs:
                  01JJKVWP8XK49W93W4END1YZGT: *ref_4
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKVX2HWJ6Y4FJZR62FTW51P
                x-apidog-refs:
                  01JJKVX2HWJ6Y4FJZR62FTW51P: *ref_4
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Service Unavailable
      security: []
      x-apidog-folder: API Metody/Customer
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/796227/apis/api-13465900-run
components:
  schemas:
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.Customer.AccountModel:
      required:
        - country
        - currency
      type: object
      properties:
        bankCode:
          maxLength: 4
          type: string
          description: Bank code
          examples:
            - '0100'
          nullable: true
        country:
          minLength: 2
          type: string
          description: Country
          examples:
            - CZ
        currency:
          minLength: 3
          type: string
          description: Currency
          examples:
            - CZK
        swift:
          maxLength: 50
          type: string
          description: Swift
          examples:
            - KOMBCZPP
          nullable: true
      additionalProperties: false
      description: Account model
      x-apidog-orders:
        - bankCode
        - country
        - currency
        - swift
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel:
      type: object
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          x-apidog-orders: []
          properties: {}
          x-apidog-ignore-properties: []
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties:
        type: string
      x-apidog-orders:
        - errors
        - type
        - title
        - status
        - detail
        - instance
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security: []

```
